aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVendicated <vendicated@riseup.net>2022-08-29 22:08:44 +0200
committerVendicated <vendicated@riseup.net>2022-08-29 22:08:44 +0200
commit704516a668b90dec08aff9ea09f53f5b392bd16b (patch)
treef7362e56cdc91d079b1f52db5cb37c2961060848
parent483bc13a31ab2ba878ff8d9002b0a8671a640ec8 (diff)
downloadVencord-704516a668b90dec08aff9ea09f53f5b392bd16b.tar.gz
Vencord-704516a668b90dec08aff9ea09f53f5b392bd16b.tar.bz2
Vencord-704516a668b90dec08aff9ea09f53f5b392bd16b.zip
Add install instructions!! :3
-rw-r--r--README.md7
-rwxr-xr-xinstall.sh41
-rwxr-xr-xuninstall.sh9
3 files changed, 57 insertions, 0 deletions
diff --git a/README.md b/README.md
index 574df7c..a61deb5 100644
--- a/README.md
+++ b/README.md
@@ -7,3 +7,10 @@ My own Discord Desktop mod :)
- Proper context isolation -> Works in newer Electron versions
- Inline patches: Patch Discord's code with regex replacements! See [the experiments plugin](src/plugins/experiments.ts) for an example. While being more complex, this is more powerful than monkey patching since you can patch only small parts of functions instead of fully replacing them, access non exported/local variables and even replace constants (like in the aforementioned experiments patch!)
- Custom Css: Manually edit `%appdata%/Vencord/settings/quickCss.css` / `~/.config/Vencord/settings/quickCss.css` with your favourite editor and the client will automatically apply your changes
+
+## Installing
+
+```sh
+pnpm install
+./install.sh
+``` \ No newline at end of file
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..d92ef95
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# Super simple installer. You should probably run this as root.
+# If you are getting permission issues, this is probably why.
+#
+# If this doesn't work for you, or you're not on Linux, just
+# - locate your Discord folder
+# - inside the resources folder, create a new folder "app"
+# - inside app create the files index.js and package.json.
+# See the two tee commands at the end of the file for their contents
+
+set -e
+
+patcher="$PWD/patcher.js"
+
+dicksword="$(dirname "$(readlink "$(which discord)")")"
+resources="$dicksword/resources"
+
+if [ ! -f "$resources/app.asar" ]; then
+ echo "Couldn't find Discord folder rip"
+ exit
+fi
+
+app="$resources/app"
+if [ -e "$app" ]; then
+ echo "app folder exists. Looks like your Discord is already modified."
+ exit
+fi
+
+mkdir "$app"
+tee > "$app/index.js" << EOF
+require("$patcher");
+require("../app.asar");
+EOF
+
+tee > "$app/package.json" << EOF
+{
+ "main": "index.js",
+ "name": "discord"
+}
+EOF
diff --git a/uninstall.sh b/uninstall.sh
new file mode 100755
index 0000000..2a31f57
--- /dev/null
+++ b/uninstall.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# Super simple uninstaller.
+# If this doesn't work for you, or you're not on Linux, just
+# manually delete the app folder in your Discord folder (inside resources)
+
+set -e
+
+dicksword="$(dirname "$(readlink "$(which discord)")")"
+rm -r --interactive=never "${dicksword:?Cant find discord}/resources/app"